(*----------------------------------------------------------------------*)
(*  Allocate_Dial_And_Review --- Get memory for dial dir and review buf *)
(*----------------------------------------------------------------------*)

PROCEDURE Allocate_Dial_And_Review;

BEGIN (* Allocate_Dial_And_Review *)
                                   (* Allocate dialing directory *)

   GetMem( Dialing_Directory , Dialing_Dir_Size_Max *
                               Dialing_Dir_Entry_Length );

                                   (* Get review buffer *)

   IF ( Max_Review_Length > ( MaxBlockAvail - 8000.0 ) ) THEN
      Max_Review_Length    := MAX( 0 , TRUNC( MaxBlockAvail - 8000.0 ) );

   Review_On := ( Max_Review_Length > 0 );

   IF Review_On THEN
      GetMem( Review_Buffer , Max_Review_Length );

   Review_Head      := 0;
   Review_Tail      := 0;
   Review_Line[0]   := #0;

END    (* Allocate_Dial_And_Review *);