(*----------------------------------------------------------------------*)
(*              Check_If_File_Exists --- Check if file exists           *)
(*----------------------------------------------------------------------*)

FUNCTION Check_If_File_Exists( File_Name : AnyStr; File_Path : AnyStr ): BOOLEAN;

VAR
   File_Entry: Directory_Record;

BEGIN (* Check_If_File_Exists *)

   IF ( POS( '\' , File_Name ) = 0 ) AND
      ( POS( ':' , File_Name ) = 0 ) THEN
      File_Name := File_Path + File_Name;

   Check_If_File_Exists := ( Dir_Find_First_File( File_Name, File_Entry ) = 0 );

END   (* Check_If_File_Exists *);
