(*----------------------------------------------------------------------*)
(*                      DosJump --- Jump to Dos                         *)
(*----------------------------------------------------------------------*)

PROCEDURE DosJump( Dos_String : AnyStr );

(*----------------------------------------------------------------------*)
(*                                                                      *)
(*     Procedure:  DosJump;                                             *)
(*                                                                      *)
(*     Purpose:    Provides remote module interface for jump to DOS     *)
(*                                                                      *)
(*     Calling Sequence:                                                *)
(*                                                                      *)
(*        DosJump( Dos_String : AnyStr );                               *)
(*                                                                      *)
(*           Dos_String --- DOS command to execute                      *)
(*                                                                      *)
(*     Calls:                                                           *)
(*                                                                      *)
(*        Do_Dos_Jump                                                   *)
(*                                                                      *)
(*----------------------------------------------------------------------*)

BEGIN (* DosJump *)

   IF MyLoadOverlay( 0 , PT4UTIL, 'PT4UTIL.CHN' ) THEN
      Do_Dos_Jump( Dos_String );

END   (* DosJump *);
